Bug 240677 - kernel-xen crashes with 4 GB Ram (while only 2 GB works fine)
kernel-xen crashes with 4 GB Ram (while only 2 GB works fine)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-19 19:50 EDT by Kai Engert (:kaie)
Modified: 2009-12-14 15:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:46:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
serial console crash log (17.43 KB, text/plain)
2007-05-19 19:50 EDT, Kai Engert (:kaie)
no flags Details

  None (edit)
Description Kai Engert (:kaie) 2007-05-19 19:50:31 EDT
Description of problem:
Boot Fedora 7 (latest Rawhide) on an Intel Core Duo with 4 GB Ram installed.
Kernel crashes.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.20-2925.8.fc7

Additional info:
The machine requires "irqpoll" to boot up.
The machine boots up fine with 4 GB when using standard kernel (non xen).
kernel-xen boots up fine with 2 GB ram installed in machine

but kernel-xen with 4 GB crashes on this machine.
I'm attaching a logfile from the serial console.

Please let me know if you need something from kdump (I'm not experienced here
but willing to work it out)

For hardware info of this machine see
bug 240221 attachment 154769 [details]
bug 240221 attachment 154770 [details]
Comment 1 Kai Engert (:kaie) 2007-05-19 19:50:31 EDT
Created attachment 155056 [details]
serial console crash log
Comment 2 Kai Engert (:kaie) 2007-05-21 06:20:40 EDT
workaround:

I added
  mem=4095m

as a boot parameter, this brings up kernel-xen fine.

Question: Is the kernel really using the full 4095 MB ?

[root@intel ~]# cat /proc/meminfo
MemTotal:      3239292 kB
MemFree:       2894764 kB
Buffers:         19504 kB
Cached:         107720 kB
SwapCached:          0 kB
Active:         112612 kB
Inactive:        83936 kB
HighTotal:     2502020 kB
HighFree:      2318032 kB
LowTotal:       737272 kB
LowFree:        576732 kB
SwapTotal:     2104496 kB
SwapFree:      2104496 kB
Dirty:              16 kB
Writeback:           0 kB
AnonPages:       69300 kB
Mapped:          28332 kB
Slab:            26680 kB
SReclaimable:     9660 kB
SUnreclaim:      17020 kB
PageTables:       4516 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:   3724140 kB
Committed_AS:   328736 kB
VmallocTotal:   114680 kB
VmallocUsed:      5256 kB
VmallocChunk:   109220 kB
Comment 3 Red Hat Bugzilla 2007-07-24 21:41:28 EDT
change QA contact
Comment 4 Bug Zapper 2008-04-03 20:48:13 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 21:46:29 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.